name='protonup-qt'
version='2.7.4'
release='1'
desc='GUI for installing and updating Proton-GE for Steam and Wine-based compatibility tools like Wine-GE for Lutris. Partly based on protonup.'
homepage='https://github.com/DavidoTek/ProtonUp-Qt'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='GPLv3'
provides=('protonup-qt')
conflicts=('protonup-qt')

deps_arch=('pyside6' 'python-inputs' 'python-psutil' 'python-requests' 'python-setproctitle' 'python-steam' 'python-vdf' 'python-pyxdg' 'python-pyaml' 'qt6-tools')
build_deps_arch=('python3-build' 'python-setuptools' 'python-wheel')
deps_redos=('python3-psutil' 'python3-requests' 'python3-setproctitle' 'python3-pyxdg' 'qt6-tools')
build_deps_redos=('python3-build' 'python3-setuptools' 'python3-wheel' 'python3-pip')
deps_rosa=('python3-psutil' 'python3-requests' 'python3-setproctitle' 'python3-pyxdg' 'qt6-tools')
build_deps_rosa=('python3-build' 'python3-setuptools' 'python3-wheel' 'python3-pip')
#deps=('')

sources=("https://github.com/DavidoTek/ProtonUp-Qt/archive/refs/tags/v2.7.4.tar.gz")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
	echo "#!/usr/bin/env bash" >>pupgui2.sh
	echo "/usr/bin/python -m pupgui2 \"\$@\"" >>pupgui2.sh

	if [$distro==redos]; then
		sudo pip install pyside6 inputs steam vdf pyaml
	elif [$distro==rosa]; then
		sudo pip install pyside6 inputs steam vdf pyaml
	fi
}

build() {
	cd "ProtonUp-Qt-${version}"
	#python -m build --wheel --no-isolation
}

package() {
	cd "ProtonUp-Qt-${version}"
	#python -m installer --destdir="${pkgdir}" dist/*.whl
	cp -r share "${pkgdir}/usr/"
	install -Dm755 "${srcdir}/pupgui2.sh" "${pkgdir}/usr/bin/${name}"
}
